#include "stdafx.h"

void TargetInterface::callFunc(ActualCommandParams actualCommandParams, uint16_t size)
{

	switch (actualCommandParams.command)
	{
		case (Command::CHANGE_BAUD_RATE) : dataBuffer = this->changeBaudRate(); break;
		case (Command::CRC_CHECK_32) : dataBuffer = this->crcCheck32(); break;
		case (Command::CRC_CHECK) : dataBuffer = this->crcCheck(); break;
		case (Command::DELAY) : this->delay();	break;
		case (Command::ERASE_CHECK) : dataBuffer = this->eraseCheck(); break;
		case (Command::ERASE_MAIN_OR_INFO) : dataBuffer = this->eraseMainOrInfo(); break;
		case (Command::ERASE_SEGMENT_32) : dataBuffer = this->eraseSegment32(); break;
		case (Command::ERASE_SEGMENT) : dataBuffer = this->eraseSegment(); break;
		case (Command::SET_PC_32) : dataBuffer = this->setPc32(); break;
		case (Command::SET_PC) : dataBuffer = this->setPc(); break;
		case (Command::MASS_ERASE) : dataBuffer = this->massErase(); break;
		case (Command::REBOOT_RESET) : dataBuffer = this->rebootReset(); break;
		case (Command::RX_DATA_BLOCK_FAST) : dataBuffer = this->rxDataBlockFast(); break;
		case (Command::RX_DATA_BLOCK_32) : dataBuffer = this->rxDataBlock32(); break;
		case (Command::RX_DATA_BLOCK) : dataBuffer = this->rxDataBlock(); break;
		case (Command::RX_PASSWORD_32) : dataBuffer = this->rxPassword32(); break;
		case (Command::RX_PASSWORD) : dataBuffer = this->rxPassword(); break;
		case (Command::SET_MEMORY_OFFSET) : dataBuffer = this->setMemoryOffset(); break;
		case (Command::TOGGLE_INFO) : dataBuffer = this->toggleInfo(); break;
		case (Command::TX_DATA_BLOCK_32) : dataBuffer = this->txDataBlock32(size);	break;
		case (Command::TX_DATA_BLOCK) : dataBuffer = this->txDataBlock(size);	break;
		case (Command::TX_BSL_VERSION_32) : dataBuffer = this->bslVersion32(); break;
		case (Command::TX_BSL_VERSION) : dataBuffer = this->bslVersion(); break;
		case (Command::TX_BUFFER_SIZE) : dataBuffer = this->txBufferSize();	break;
		case (Command::RX_SECURE_DATA_BLOCK) : dataBuffer = this->rxSecureDataBlock();	break;
		case (Command::VERBOSE) : this->verbose();	break;
		default:break;
	}
}

DataBuffer TargetInterface::retDataBuffer()
{
	return dataBuffer;
}